Bug 1372660 - [abrt] ibus-typing-booster: hunspell_table.py:248:update_transliterated_strings:KeyError: 'NoIme'
Summary: [abrt] ibus-typing-booster: hunspell_table.py:248:update_transliterated_strin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5b9840fc33b510068090237d4b7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-02 10:00 UTC by Mike FABIAN
Modified: 2016-09-22 07:32 UTC (History)
5 users (show)

Fixed In Version: ibus-typing-booster-1.5.3-1.fc24 ibus-typing-booster-1.5.6-1.fc23 ibus-typing-booster-1.5.6-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-21 20:21:30 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (827 bytes, text/plain)
2016-09-02 10:00 UTC, Mike FABIAN
no flags Details
File: environ (1.19 KB, text/plain)
2016-09-02 10:00 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2016-09-02 10:00:07 UTC
Description of problem:
- Use mr-IN  typing-booster
- type something
- Open setup tool and enable "Add direct input"
- type something
- Open setup tool and disable "Add direct input"
- type something
- Open setup tool and enable "Add direct input"
- type something
  -> Crash

Version-Release number of selected component:
ibus-typing-booster-1.5.2-1.fc25

Additional info:
reporter:       libreport-2.7.2
cmdline:        /usr/bin/python3 /usr/share/ibus-typing-booster/engine/main.py --ibus
executable:     /usr/share/ibus-typing-booster/engine/main.py
kernel:         4.8.0-0.rc4.git0.1.fc25.x86_64
pkg_vendor:     (none)
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
hunspell_table.py:248:update_transliterated_strings:KeyError: 'NoIme'

Traceback (most recent call last):
  File "/usr/share/ibus-typing-booster/engine/hunspell_table.py", line 1329, in do_process_key_event
    result = self._process_key_event (key)
  File "/usr/share/ibus-typing-booster/engine/hunspell_table.py", line 1724, in _process_key_event
    self._editor.insert_string_at_cursor([key.msymbol])
  File "/usr/share/ibus-typing-booster/engine/hunspell_table.py", line 293, in insert_string_at_cursor
    self.update_transliterated_strings()
  File "/usr/share/ibus-typing-booster/engine/hunspell_table.py", line 248, in update_transliterated_strings
    self._transliterators[ime].transliterate(
KeyError: 'NoIme'

Local variables in innermost frame:
self: <hunspell_table.editor object at 0x7f106fb5e898>
ime: 'NoIme'

Comment 1 Mike FABIAN 2016-09-02 10:00:14 UTC
Created attachment 1197104 [details]
File: backtrace

Comment 2 Mike FABIAN 2016-09-02 10:00:15 UTC
Created attachment 1197105 [details]
File: environ

Comment 3 Fedora Update System 2016-09-02 11:10:53 UTC
ibus-typing-booster-1.5.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1b003e3d3e

Comment 4 Fedora Update System 2016-09-02 11:11:32 UTC
ibus-typing-booster-1.5.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-64aa132fd4

Comment 5 Fedora Update System 2016-09-02 11:12:16 UTC
ibus-typing-booster-1.5.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8e152c4c49

Comment 6 Fedora Update System 2016-09-03 03:23:08 UTC
ibus-typing-booster-1.5.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-64aa132fd4

Comment 7 Fedora Update System 2016-09-03 03:52:23 UTC
ibus-typing-booster-1.5.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1b003e3d3e

Comment 8 Fedora Update System 2016-09-03 03:53:15 UTC
ibus-typing-booster-1.5.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8e152c4c49

Comment 9 Fedora Update System 2016-09-06 22:22:35 UTC
ibus-typing-booster-1.5.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-09-08 14:40:23 UTC
ibus-typing-booster-1.5.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ebac688ee6

Comment 11 Fedora Update System 2016-09-08 14:42:53 UTC
ibus-typing-booster-1.5.4-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-301e778e33

Comment 12 Fedora Update System 2016-09-09 06:24:56 UTC
ibus-typing-booster-1.5.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-301e778e33

Comment 13 Fedora Update System 2016-09-09 17:57:02 UTC
ibus-typing-booster-1.5.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ebac688ee6

Comment 14 Fedora Update System 2016-09-10 23:20:29 UTC
ibus-typing-booster-1.5.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-acc6024055

Comment 15 Fedora Update System 2016-09-10 23:21:12 UTC
ibus-typing-booster-1.5.5-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6daa5f2b03

Comment 16 Fedora Update System 2016-09-12 08:20:44 UTC
ibus-typing-booster-1.5.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-acc6024055

Comment 17 Fedora Update System 2016-09-12 08:25:53 UTC
ibus-typing-booster-1.5.5-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6daa5f2b03

Comment 18 Fedora Update System 2016-09-12 17:55:03 UTC
ibus-typing-booster-1.5.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1b8dbfe60c

Comment 19 Fedora Update System 2016-09-12 17:56:05 UTC
ibus-typing-booster-1.5.6-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-19a711751b

Comment 20 Fedora Update System 2016-09-14 02:51:04 UTC
ibus-typing-booster-1.5.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1b8dbfe60c

Comment 21 Fedora Update System 2016-09-14 03:25:23 UTC
ibus-typing-booster-1.5.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-19a711751b

Comment 22 Fedora Update System 2016-09-21 20:21:30 UTC
ibus-typing-booster-1.5.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-09-22 07:32:52 UTC
ibus-typing-booster-1.5.6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.